/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__COBJECT_MATRIX_DECL__
#define	__COBJECT_MATRIX_DECL__


		#include "script_squirrel/cobject/squirrel_bindings_utils.h"


namespace GS {
	class Matrix3;
	class Matrix4;
}

_DECL_CLASS(Matrix3)
_DECL_NATIVE_CONSTRUCTION(Matrix3, GS::Matrix3)
_DECL_CLASS(Matrix4)
_DECL_NATIVE_CONSTRUCTION(Matrix4, GS::Matrix4)


#endif	// __COBJECT_MATRIX_DECL__
